<?xml version = "1.0" encoding = "UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "xslt.dtd">
<xsl:stylesheet 
	xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" 
	xmlns:tp = "http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd" 
	xmlns:rim = "urn:oasis:names:tc:ebxml-regrep:rim:xsd:2.1" 
	xmlns:xsi = "http://www.w3.org/2001/XMLSchema-instance" 
	xsi:schemaLocation = "urn:oasis:names:tc:ebxml-regrep:registry:xsd:2.1 http://www.oasis-open.org/committees/regrep/documents/2.1/schema/rs.xsd urn:oasis:names:tc:ebxml-regrep:rim:xsd:2.1 http://www.oasis-open.org/committees/regrep/documents/2.1/schema/rim.xsd" 
	version = "1.0">

	<xsl:output method = "xml" indent = "yes"/> 
	<xsl:template match = "@*|node()">
		<xsl:apply-templates select = "@*|node()"/>
	</xsl:template>
	<xsl:template match = "/">
		<xsl:element name = "RegistryObjectList" namespace = "urn:oasis:names:tc:ebxml-regrep:rim:xsd:2.1">
			<xsl:element name = "ExtrinsicObject" namespace = "urn:oasis:names:tc:ebxml-regrep:rim:xsd:2.1">
				<xsl:attribute name = "id">
					<xsl:value-of select = "//tp:PartyInfo/@tp:partyName"/>
				</xsl:attribute>
				<xsl:attribute name = "objectType">CPP</xsl:attribute>
				<xsl:element name = "Name">
					<xsl:element name = "LocalizedString">
						<xsl:attribute name = "value">
							<xsl:value-of select = "//rim:ExtrinsicObject/Name/LocalizedString/@value"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:element>
				<xsl:element name = "Description">
					<xsl:element name = "LocalizedString">
						<xsl:attribute name = "value">
							<xsl:value-of select = "//rim:ExtrinsicObject/rim:Description/rim:LocalizedString/@rim:value"/>
						</xsl:attribute>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>